Security Only updates for .NET Framework 3.5, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 for Windows Server 2012 (KB 4487122)

2019-02-11T01:15:26
ID KB4487122
Type mskb
Reporter Microsoft
Modified 2019-02-12T17:56:32

Description

<html><body><p>Resolves a vulnerability in .NET Framework that could allow Remote Code Execution. Also resolves a vulnerability in certain .NET Framework APIs that parse URLs.</p><h2></h2><div class="alert-band"><div class="alert alert-info" role="alert"><p class="alert-title">Applies to:</p><div class="row"><div class="col-xs-24"><p>Microsoft .NET Framework 3.5, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.6.1, Microsoft .NET Framework 4.6.2, Microsoft .NET Framework 4.7, Microsoft .NET Framework 4.7.1, Microsoft .NET Framework 4.7.2</p></div></div></div></div><h2>Summary</h2><div class="kb-summary-section section"><p>This security update resolves vulnerabilities in Microsoft .NET Framework that could allow the following:</p><ul><li><p>A Remote Code Execution vulnerability in .NET Framework software if the software does not check the source markup of a file. An attacker who successfully exploits the vulnerability could run arbitrary code in the context of the current user. If the current user is logged on by using administrative user rights, an attacker could take control of the affected system. An attacker could then install programs; view, change, or delete data; or create new accounts that have full user rights. Users whose accounts are configured to have fewer user rights on the system could be less affected than users who have administrative user rights.</p><p>Exploitation of the vulnerability requires a user to open a specially crafted file that has an affected version of .NET Framework. In an email attack scenario, an attacker could exploit the vulnerability by sending the specially crafted file to the user and convincing the user to open the file.</p><p>This security update addresses the vulnerability by correcting how .NET Framework checks the source markup of a file.<br/><br/>To learn more about this vulnerability, see <a data-content-id="" data-content-type="" href="https://portal.msrc.microsoft.com/en-us/security-guidance/advisory/CVE-2019-0613" id="kb-link-2" managed-link="" target="">Microsoft Common Vulnerabilities and Exposures CVE-2019-0613</a>.</p></li><li><p>A vulnerability in certain .NET Framework APIs that parse URLs. An attacker who successfully exploits this vulnerability could use it to bypass security logic that's intended to make sure that a user-provided URL belonged to a specific host name or a subdomain of that host name. This could be used to cause privileged communication to be made to an untrusted service as if it were a trusted service.</p><p>To exploit the vulnerability, an attacker must provide a URL string to an application that tries to verify that the URL belongs to a specific host name or to a subdomain of that host name. The application must then make an HTTP request to the attacker-provided URL either directly or by sending a processed version of the attacker-provided URL to a web browser.<br/><br/>To learn more about this vulnerability, see <a data-content-id="" data-content-type="" href="https://portal.msrc.microsoft.com/en-us/security-guidance/advisory/CVE-2019-0657" id="kb-link-2" managed-link="" target="">Microsoft Common Vulnerabilities and Exposures CVE-2019-0657</a>.</p></li></ul><p><strong><span class="text-base">Important</span></strong></p></div><ul><li>All updates for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1 and 4.7.2 require that the d3dcompiler_47.dll update is installed. We recommend that you install the included d3dcompiler_47.dll update before you apply this update. For more information about the d3dcompiler_47.dll, see <a href="https://support.microsoft.com/en-us/help/4019990">KB 4019990</a>.</li><li>If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see <a bookmark-id="" data-content-id="" data-content-type="" href="https://technet.microsoft.com/en-us/library/hh825699" managed-link="" target="_blank">Add language packs to Windows</a>.</li></ul><h2>Additional information about this update</h2><div><span>The following articles contain additional information about this update as it relates to individual product versions.</span></div><div> </div><ul><li><span><a href="https://support.microsoft.com/help/4483481" managed-link="">4483481</a> Description of the Security Only update for .NET Framework 3.5 for Windows Server 2012 (KB 4483481)</span></li><li><a href="https://support.microsoft.com/help/4483473" managed-link="">4483473</a> Description of the Security Only update for .NET Framework 4.5.2 for Windows Server 2012 (KB 4483473)</li><li><a href="https://support.microsoft.com/help/4483468" managed-link="">4483468</a> Description of the Security Only update for .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, and 4.7.2 for Windows Server 2012 (KB 4483468)</li></ul><h2>Information about protection and security</h2><ul><li>Protect yourself online: <a href="https://support.microsoft.com/hub/4099151/windows-security-help" originalsrc="https://support.microsoft.com/hub/4099151/windows-security-help" shash="RYy3LeXx+rmimVtQWgsOp2FdFIqw7JA//Q/gQk82okgjOsd4xXdoK0JeBzlEcm0ODcghLacwCQ7rq/te5MIy9rhRyjOI5z+tQLQ58N0ohXStVASL9xwW0nm7tWELhl8Vd+jYkRf314nXnEXaofpGgPwiR8IWSM1V+w57ooqQzME=" target="_blank">Windows Security support</a></li><li>Learn how we guard against cyber threats: <a href="https://www.microsoft.com/security" originalsrc="https://www.microsoft.com/security" shash="Fb+Q8jcsMznGoXBaEpy7ItSNVM/ojkQHBsLDm3A6U1j8nU/EzgwX89Ox/pQeEuCbTUAIMz1KtFkOsv9oQSp0WSip1uNUHotfXevDx7dDk5kFn4u/io4q1ESXpDplQ989sCEmxdzRlhaLF3PHKXMoLlTmwS5dmeU5gGxfXDhL40w=">Microsoft Security</a></li></ul></body></html>